Subject: RE: [External] : bug#60213: [PATCH] Copy Info-goto-node-web URL as kill with prefix argument

From: Drew Adams <[email-masked]>
Date: Tue, 20 Dec 2022 17:24:50 +0000

> The attached patch make `Info-goto-node-web' copy the URL as kill with a
> prefix argument, instead of opening it with `browse-url'.  I've seen
> this feature requested a couple of times now by various people.

Couple of times, various people?  Any besides
the one time and one person (Marcin)?  Based
on what, a month of experience with the new
command?  What's the inconvenience that the
enhancement request would overcome - just
killing/copying the URL in the minibuffer?

What about using the prefix arg to open the
URL in a separate browser window?  After all,
that's the behavior of `Info-goto-node-web'
(the original).

[If not then `info+.el' will keep needing to 
define the command (now REdefine), even after
Emacs 29.  OK, I'm used to it...]

That's the behavior users have enjoyed for
almost a decade.  During those years, I never
once received a request to add copying the
URL to the kill-ring.  Not that that's a
horrible idea - but how useful is it compared
to the longstanding prefix-arg behavior?

Consider also: how hard is it to get the URL
to the kill-ring?  Just copy (or kill & yank)
it in the minibuffer to begin with.  If you
forget to do that, then when you use the same
minibuffer history again, `M-p C-k' retrieves
the URL and adds it to the kill ring.  Not a
big deal.

And compare, e.g., `find-file'.  There we
have a separate command for `other-window'.
(Not a browser window, but ~same idea.)  We
don't have anything special for saving the
file location (abs-name) to the kill-ring.
We haven't needed that for 40 years...  Has
anyone even requested it?

For `find-file' and such, it's apparently
enough that you can get to the file name
with `M-p' - we've felt no need to add it
to the kill-ring.

Or perhaps combine both optional behaviors,
as I suggested in my msg in thread #60190?

If you insist on doing what you're doing
then I'd suggest you at least add another
command for opening the URL in a separate
browser window.  And perhaps yet another
to open it in a separate browser tab.